## org.omg.CORBA
Class ParameterDescriptionHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ParameterDescriptionHelper

public class ParameterDescriptionHelper
extends java.lang.Object

Helper class for : ParameterDescription

Author:
  OpenORB Compiler

Constructor Summary
`ParameterDescriptionHelper()`

Method Summary
`static ParameterDescription` `extract(Any a)` Extract ParameterDescription from an any
`static java.lang.String` `id()` Return the ParameterDescription IDL ID
`static void` `insert(Any a, ParameterDescription t)` Insert ParameterDescription into an any
`static ParameterDescription` `read(InputStream istream)` Read ParameterDescription from a marshalled stream
`static TypeCode` `type()` Return the ParameterDescription TypeCode
`static void` `write(OutputStream ostream, ParameterDescription value)` Write ParameterDescription into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterDescriptionHelper

    public ParameterDescriptionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ParameterDescription t)

  Insert ParameterDescription into an any
  Parameters:
    `a` - an any
    `t` - ParameterDescription value

### extract

    public static ParameterDescription extract(Any a)

  Extract ParameterDescription from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ParameterDescription value

### type

    public static TypeCode type()

  Return the ParameterDescription TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ParameterDescription IDL ID
  Returns:
    an ID

### read

    public static ParameterDescription read(InputStream istream)

  Read ParameterDescription from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ParameterDescription value

### write

    public static void write(OutputStream ostream,
                             ParameterDescription value)

  Write ParameterDescription into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ParameterDescription value